# enable_gtkdoc: Toggle whether gtkdoc stuff should be rebuilt
#      0 = No
#      1 = Yes
%define enable_gtkdoc   1

# Define biarch packages
%define biarches_32 %{ix86} ppc
%define biarches_64 x86_64 ppc64
%define query_modules_suffix %{nil}

%ifarch %{biarches_32}
%define query_modules_suffix -32
%endif

%ifarch %{biarches_64}
%define query_modules_suffix -64
%endif

%define query_modules pango-querymodules%{query_modules_suffix}

%define api_version     1.0
%define gir_major       1.0
%define module_version  1.8.0
%define lib_major       0
%define lib_name        %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev      %mklibname -d %{name} %{api_version} 
%define gir_name        %mklibname %{name}-gir %{gir_major}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        System for layout and rendering of internationalized text
Name:           pango
Version:        1.32.5
Release:        %mkrel 3
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://www.pango.org/
BuildRequires: pkgconfig(cairo) >= 1.7.6
BuildRequires: pkgconfig(fontconfig) >= 2.5.0
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(glib-2.0) >= 2.33.12
BuildRequires: pkgconfig(gmodule-no-export-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(harfbuzz) >= 0.9.9
BuildRequires: pkgconfig(libthai) >= 0.1.9
BuildRequires: pkgconfig(xft) >= 2.0.0
BuildRequires: pkgconfig(xrender)
BuildRequires:  gobject-introspection-devel >= 0.9.5
%if %enable_gtkdoc
BuildRequires:  gtk-doc >= 0.10
BuildRequires:  libxslt-proc
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtd412-xml
%endif
Source0:        http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (gb) 1.4.0-2mdk biarch support
Patch5:         pango-1.32.0-lib64.patch
Patch6:		pango-1.32.5-automake-1.13.patch

%description
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name} 
Summary:        %{summary}
Group:          %{group}
Provides:       lib%{name}%{api_version} = %{version}-%{release}
Provides:       lib%{name} = %{version}-%{release}
Requires:       %{name} = %{version}
Requires:       fontconfig >= 2.5.0
Requires:       glib2 >= 2.33.12
Requires:       %{lib_name}-modules = %{version}
Requires:       cairo >= 1.7.6
Conflicts:      gir-repository < 0.6.5

%package -n %{lib_name}-modules
Summary:        %{summary}
Group:          %{group}
#need this since we launch pango-querymodules in #post
Requires(post): %{lib_name} = %{version}
Provides:       pango-modules = %{version}-%{release}

%description -n %{lib_name}-modules
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%description -n %{lib_name}
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{libnamedev}
Summary:        %{summary}
Group:          Development/GNOME and GTK+
Obsoletes:      %{name}-devel
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       lib%{name}%{api_version}-devel = %{version}-%{release}
Requires:       %{name} = %{version}
Requires:       %{lib_name} = %{version}
Suggests:       %{name}-doc >= %{version}
Obsoletes:      %mklibname -d %{name} %{api_version} %{lib_major}
Conflicts:      %{name} < 1.18.0-3mdv
Conflicts:      %{_lib}pango1.0_0 < 1.28.1-2

%description -n %{libnamedev}
This package includes the static libraries and header files
for the pango package.

%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{lib_name} = %{version}-%{release}
Conflicts:      %{mklibname %{name}1.0-gir 1.0}} < 1.29.3-4

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package doc
Summary:        %{summary}
Group:          Development/GNOME and GTK+
BuildArch:	noarch

%description doc
This package provides API documentation for Pango.

%prep
%setup -q
%patch5 -p1 -b .lib64
%patch6 -p1 -b .automake-1_13

%build
# generate build scripts using our autotools/libtoolize
autoreconf -fi

%configure2_5x \
        --enable-static=no \
%if %enable_gtkdoc
        --enable-gtk-doc=yes \
%endif

%make ARCH=%{_arch}

%check
#disabled for https://bugzilla.gnome.org/show_bug.cgi?id=672981
make check || true

%install
%makeinstall_std
mkdir -p %{buildroot}%{_sysconfdir}/pango/%{_arch}
touch %{buildroot}%{_sysconfdir}/pango/%{_arch}/pango.modules

%ifarch %{biarches_32} %{biarches_64}
mv %{buildroot}%{_bindir}/pango-querymodules %{buildroot}%{_bindir}/%{query_modules}
%endif

%ifarch %{biarches_64}
mv %{buildroot}%{_bindir}/pango-view %{buildroot}%{_bindir}/pango-view%{query_modules_suffix}
%endif

# remove unpackaged files
find %{buildroot} -name *.la | xargs rm

%post -n %{lib_name}-modules
if [ "$1" = "2" -a -r  %{_sysconfdir}/pango/pango.modules ]; then
  rm -f %{_sysconfdir}/pango/pango.modules 
fi
%{_bindir}/%{query_modules} --system > %{_sysconfdir}/pango/%{_arch}/pango.modules

%files
%doc README AUTHORS
%doc NEWS 
%ifnarch %{biarches_32} %{biarches_64}
%{_bindir}/pango-querymodules
%endif
%{_mandir}/man1/*
%dir %{_sysconfdir}/pango

%files -n %{lib_name}-modules
%ifarch %{biarches_32} %{biarches_64}
%{_bindir}/pango-querymodules-*
%endif
%dir %{_libdir}/pango
%dir %{_libdir}/pango/%{module_version}
%dir %{_libdir}/pango/%{module_version}/modules
%{_libdir}/pango/%{module_version}/modules/*.so
%dir %{_sysconfdir}/pango/%{_arch}
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/pango/%{_arch}/pango.modules

%files -n %{lib_name}
%{_libdir}/libpango-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangoft2-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangoxft-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangocairo-%{api_version}.so.%{lib_major}*

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Pango-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoCairo-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoFT2-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoXft-%{gir_major}.typelib

%files -n %{libnamedev}
%{_bindir}/pango-view*
%{_libdir}/libpango-*.so
%{_libdir}/libpangoxft-*.so
%{_libdir}/libpangoft2-*.so
%{_libdir}/libpangocairo*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Pango-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoCairo-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoFT2-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoXft-%{gir_major}.gir

%files doc
%doc %{_datadir}/gtk-doc/html/pango
%doc ChangeLog
%doc pango-view/HELLO.txt


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.32.5-3.mga3
+ Revision: 362382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.32.5-2.mga3
+ Revision: 339689
- patch6: fix build with automake 1.13

* Tue Dec 18 2012 ovitters <ovitters> 1.32.5-1.mga3
+ Revision: 332321
- new version 1.32.5

* Fri Dec 07 2012 fwang <fwang> 1.32.4-1.mga3
+ Revision: 327908
- drop unused patch
- br harfbuzz 0.9.9

  + ovitters <ovitters>
    - new version 1.32.4

* Tue Nov 20 2012 fwang <fwang> 1.32.3-1.mga3
+ Revision: 319698
- revert harbuff 0.9.7 adoption

  + ovitters <ovitters>
    - new version 1.32.3

* Thu Nov 15 2012 fwang <fwang> 1.32.2-1.mga3
+ Revision: 318021
- new version 1.32.2

* Fri Sep 28 2012 fwang <fwang> 1.32.1-1.mga3
+ Revision: 298873
- new version 1.32.1

* Thu Sep 27 2012 shlomif <shlomif> 1.32.0-2.mga3
+ Revision: 298828
- New release - mkrel 2 - bug fix for crashes.
  https://bugzilla.gnome.org/show_bug.cgi?id=684959 .

* Thu Sep 27 2012 fwang <fwang> 1.32.0-1.mga3
+ Revision: 298560
- update module version
- pangox was removed
- update file list
- set doc as noarch package
- new version 1.32.0

* Mon Jun 11 2012 blino <blino> 1.30.1-2.mga3
+ Revision: 259571
- use new --system option when running pango-querymodules in post script

* Sun Jun 10 2012 shlomif <shlomif> 1.30.1-1.mga3
+ Revision: 259565
- Got rid of tabs to please rpmlint
- Made rpmlint happier with some fixes
- Disabled make check because it fails.

  + ovitters <ovitters>
    - new version 1.30.1
    - reenable make check

* Wed Mar 28 2012 ovitters <ovitters> 1.30.0-1.mga2
+ Revision: 227249
- disable make check, fails only on missing documentation
- clean spec
- new version 1.30.0

* Wed Nov 23 2011 fwang <fwang> 1.29.5-1.mga2
+ Revision: 171144
- rediff patches
- new version 1.29.5

* Wed Sep 28 2011 ovitters <ovitters> 1.29.4-1.mga2
+ Revision: 149973
- new version 1.29.4
  clean spec file

* Sat Sep 10 2011 fwang <fwang> 1.29.3-7.mga2
+ Revision: 142174
- rebuild for new cairo

* Fri Sep 02 2011 wally <wally> 1.29.3-6.mga2
+ Revision: 137943
- don't require gir package in lib one
- make -devel package only to suggest -doc one

* Fri Jul 08 2011 cjw <cjw> 1.29.3-5.mga2
+ Revision: 119930
- rebuild with rpm-mageia-setup 1.137 to add typelib deps

* Thu Jul 07 2011 wally <wally> 1.29.3-4.mga2
+ Revision: 119837
- fix gir package name

* Thu Jul 07 2011 cjw <cjw> 1.29.3-3.mga2
+ Revision: 119562
- rebuild for automatic typelib provides

* Tue Jul 05 2011 dmorgan <dmorgan> 1.29.3-2.mga2
+ Revision: 118845
- Make the lib package requires the gir one

* Sun Jul 03 2011 wally <wally> 1.29.3-1.mga2
+ Revision: 117732
- new version 1.29.3
- create a subpackage for gir .typelib
- clean .spec a bit

* Tue Apr 05 2011 tv <tv> 1.28.4-1.mga1
+ Revision: 80913
- patch 1: don't test the docs for now (mdv)
- bump minimal glib require
- new release

* Wed Jan 12 2011 blino <blino> 1.28.3-1.mga1
+ Revision: 7605
- enable gtkdoc, it seems autoreconf needs it

  + dmorgan <dmorgan>
    - imported package pango

